Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.server
Class FlashAxisServiceServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.axis.transport.http.AxisServletBase
                  org.apache.axis.transport.http.AxisServlet
                      org.jboss.net.axis.server.AxisServiceServlet
                          org.jboss.net.axis.server.FlashAxisServiceServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class FlashAxisServiceServlet
extends AxisServiceServlet

A AxisServlet that allows the Flash player/plugin to interact with the Axis SOAP engine despite the inability to generate the SOAPAction HTTP header. It spoofs the header by looking at the request parameters and generating a derived HttpServletRequestWrapper class to appear to migrate those that should actually be HTTP headers into the header. This class then just calls its base class's implementation of doPost(). For example, if you were invoking the Hello World SOAP example, you would append: ?SOAPAction=\"Hello\" to the service context: /axisflash/flashservices/Hello

### Change History

- jung, 02.05.2002: Outsourced the strings.

Version:
  $Revision: 1.7 $
Author:
  Frederick N. Brier
See Also:
  Serialized Form

Nested Class Summary
`class` | `FlashAxisServiceServlet.FilteredHttpServletRequest` This is a spoofing class whose sole purpose is to make it appear that the HTTP "SOAPAction" parameter is actually an HTTP Header attribute.

Field Summary
`protected org.jboss.logging.Logger` | `log` The instance logger for the service.

Fields inherited from class org.jboss.net.axis.server.AxisServiceServlet
`server`

Fields inherited from class org.apache.axis.transport.http.AxisServlet
`INIT_PROPERTY_ENABLE_LIST, INIT_PROPERTY_JWS_CLASS_DIR, INIT_PROPERTY_TRANSPORT_NAME, INIT_PROPERTY_USE_SECURITY`

Fields inherited from class org.apache.axis.transport.http.AxisServletBase
`ATTR_AXIS_ENGINE, axisServer`

Constructor Summary
`FlashAxisServiceServlet()` Creates new AxisServlet

Method Summary
`void` | `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` This method sits on top of the AxisService.doPost() acting as a filter by first creating a FilterHttpServletRequest and passing it to the base class implementation.

Methods inherited from class org.jboss.net.axis.server.AxisServiceServlet
`fakeSoapAction, getConfigurationContext, getEngine, reportAvailableServices`

Methods inherited from class org.apache.axis.transport.http.AxisServlet
`createMessageContext, doGet, getDefaultJWSClassDir, getHttpServletResponseStatus, getJWSClassDir, getProtocolVersion, getServiceName, init, invokeEndpointFromGet, logException, processAxisFault, processListRequest, processMethodRequest, processWsdlRequest, reportCantGetAxisService, reportCantGetJWSService, reportNoWSDL, reportServiceInfo, reportTrouble, setupHTMLResponseHeader`

Methods inherited from class org.apache.axis.transport.http.AxisServletBase
`decLockCounter, destroy, getEngine, getEngineEnvironment, getHomeDir, getLoadCounter, getOption, getServletContext, getWebappBase, getWebInfPath, incLockCounter, isDevelopment, service`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.jboss.logging.Logger log

  The instance logger for the service. Not using a class logger because we want to dynamically obtain the logger name from concrete sub-classes.

Constructor Detail

### FlashAxisServiceServlet

    public FlashAxisServiceServlet()

  Creates new AxisServlet

Method Detail

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse res)
                throws javax.servlet.ServletException,
                       IOException

  This method sits on top of the AxisService.doPost() acting as a filter by first creating a FilterHttpServletRequest and passing it to the base class implementation.

  Parameters:
    `req` - - an HttpServletRequest object that contains the request the client has made of the servlet
  Throws:
    `IOException` - if an input or output error is detected when the servlet handles the request
    `javax.servlet.ServletException` - if the request for the POST could not be handled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.